package org.eclipse.jdt.internal.compiler.batch;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import org.eclipse.jdt.internal.compiler.batch.FileSystem;

public class ClasspathNormalizer {
  public static ArrayList normalize(ArrayList classpaths) {
    ArrayList<FileSystem.Classpath> normalizedClasspath = new ArrayList();
    HashSet<FileSystem.Classpath> cache = new HashSet();
    for (Iterator<FileSystem.Classpath> iterator = classpaths.iterator(); iterator.hasNext(); ) {
      FileSystem.Classpath classpath = iterator.next();
      if (!cache.contains(classpath)) {
        normalizedClasspath.add(classpath);
        cache.add(classpath);
      } 
    } 
    return normalizedClasspath;
  }
}
